### Method

# Xdp Portal location_monitor_start

#### Declaration [src]

    void
    xdp_portal_location_monitor_start (
      XdpPortal* portal,
      XdpParent* parent,
      guint distance_threshold,
      guint time_threshold,
      XdpLocationAccuracy accuracy,
      XdpLocationMonitorFlags flags,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer data
    )

#### Description [src]

Makes `XdpPortal` start monitoring location changes.

When the location changes, the `XdpPortal::location-updated`. signal is emitted.

Use `xdp_portal_location_monitor_stop()` to stop monitoring.

Note that `XdpPortal` only maintains a single location monitor at a time. If you want to change the `distance_threshold`, `time_threshold` or `accuracy` of the current monitor, you first have to call `xdp_portal_location_monitor_stop()` to stop monitoring.

#### Parameters

`parent` | `XdpParent`
| A `XdpParent`, or `NULL`
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`distance_threshold` | `guint`
| Distance threshold, in meters.
`time_threshold` | `guint`
| Time threshold, in seconds.
`accuracy` | `XdpLocationAccuracy`
| Desired accuracy.
`flags` | `XdpLocationMonitorFlags`
| Options for this call.
`cancellable` | `GCancellable`
| Optional `GCancellable`
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A callback to call when the request is done.
| The argument can be `NULL`.
`data` | `gpointer`
| Data to pass to `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.